class CfgAmmo
{
	class BulletCore;
	class BulletBase : BulletCore
	{
		timeToLive = 6;
	};
	class B_9x18_Ball : BulletBase  // 57-N-181S
	{
		hit = 6;
		typicalSpeed = 360;
		airFriction = -0.001525;
	};
	class B_9x18_SD : B_9x18_Ball  // 57-N-181S
	{
		hit = 6;
		typicalSpeed = 360;
		airFriction = -0.001525;
	};
	class B_9x19_Ball : B_9x18_Ball  // M882 Ball
	{
		hit = 6;
		typicalSpeed = 360;
		airFriction = -0.001700;
	};
	class B_9x19_SD : B_9x19_Ball  // 147 grn 9 mm Parabellum
	{
		hit = 7;
		typicalSpeed = 360;
		airFriction = -0.000955;
	};
	
	class B_45ACP_Ball: BulletBase
	{
		hit = 9;
		typicalSpeed = 260;
		airFriction = -0.001;
	};
	
	class B_545x39_Ball : BulletBase  // 7N6
	{
		hit = 8;
		typicalSpeed = 750;
		airFriction = -0.001400;
	};
	class B_545x39_SD : BulletBase  // supposed 80 grn subsonic ammo
	{
		hit = 6;
		typicalSpeed = 320;
		airFriction = -0.000600;
	};
	class B_556x45_Ball : BulletBase  // M855 Ball
	{
		hit = 8;
		typicalSpeed = 750;
		airFriction = -0.001300;
		deflecting = 8;
	};
	/* Commented out due to MP compatibility
	class B_556x45_Sniper : BulletBase  // Mk 262 MOD 1 -- may cause problems online?
	{
		hit = 9;
		typicalSpeed = 750;
		airFriction = -0.001125;
	};
	*/
	class B_556x45_SD : BulletBase  // 75 grn Sierra MatchKing handloads
	{
		hit = 6;
		typicalSpeed = 320;
		airFriction = -0.000600;
	};
	class B_9x39_SP5: BulletBase
	{
		hit = 13;
		typicalSpeed = 150;
		airFriction = -0.001;
	};
	class B_12Gauge_74Slug: BulletBase
	{
		hit = 11;
		typicalSpeed = 400;
		airFriction = -0.005;
	};
	class B_762x39_Ball: BulletBase //M43 Ball
	{
		hit = 10;
		typicalSpeed = 640;
		airFriction = -0.00144;
	};
	class B_762x51_Ball : BulletBase  // M80 Ball
	{
		hit = 12;
		typicalSpeed = 750;
		airFriction = -0.001050;
	};
	class B_762x51_3RndBurst: B_762x51_Ball {};
	class B_762x51_noTracer : B_762x51_Ball  // M119LR Ball, Special
	{
		hit = 12;
		airFriction = -0.000800;
	};
	class B_762x54_Ball : BulletBase  // 7N13, should penetrate 16 mm at 100 m
	{
		hit = 13;
		typicalSpeed = 750;
		airFriction = -0.001250;
	};
	class B_762x54_noTracer : B_762x54_Ball  // 7N14, should penetrate 16 mm at 100 m
	{
		hit = 13;
		airFriction = -0.000990;
	};
	class B_77x56_Ball : BulletBase  // Interpolated value, unfinished
	{
		hit = 15;
		airFriction = -0.001000;
	};
	class B_127x99_Ball : BulletBase  // M8 API
	{
		timeToLive = 10;
		hit = 25;
		typicalSpeed = 800;
		airFriction = -0.000560;
	};
	class B_127x99_Ball_noTracer : B_127x99_Ball  // M33 Ball
	{
		timeToLive = 10;
		hit = 24;
		airFriction = -0.000560;
		explosive = 0;
	};
	class B_127x107_Ball : BulletBase  // BS API for mounted machine guns
	{
		timeToLive = 10;
		hit = 27;
		typicalSpeed = 800;
		airFriction = -0.000600;
	};
	class B_127x108_Ball : BulletBase  // B-32 API for KSVK
	{
		timeToLive = 10;
		hit = 25;
		typicalSpeed = 800;
		airFriction = -0.000600;
	};
	//class B_127x108_APHE: BulletBase {};
	class B_145x115_AP : BulletBase // BS41 API
	{
		timeToLive = 10;
		hit = 31;
		typicalSpeed = 800;
		airFriction = -0.000580;
	};
	class GrenadeBase;
	class G_30mm_HE : GrenadeBase
	{
		deflecting = 5;
	};
	class G_40mm_HE : GrenadeBase
	{
		deflecting = 5;
	};
	class Grenade;
	class GrenadeHand: Grenade
	{
		deflecting = 30;
	};
	class GrenadeHandTimedWest : GrenadeHand
	{
		deflecting = 30; // Hopefully less bouncy
		explosionTime = 4;  // and with a shorter timer
	};
	class GrenadeHand_stone: GrenadeHand
	{
		deflecting = 50;
	};
	#ifdef FNC_BALLISTICS_UKFWEAPONS
	class ukf_762x51_round : B_762x51_Ball 
	{
		hit = 12;
		typicalSpeed = 750;
		airFriction = -0.001050;
	};
	#endif
};